package boundary;

import java.io.*;

public class SystemMenu {
	private static BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	private static int MAX_SIZE_OF_INPUT = 20;
	public static void printMainMenu() {
		System.out.println("Welcome to the Stock Game Backend.");
		System.out.println("Please choose an option:");
		System.out.println("==================================");
		System.out.println("1: Set Timer Interval");
		System.out.println("2: Quit");
	}
	public static void printUC6Menu() {
		System.out.println("Please specify how often you want the database to be updated (in minutes).");
	}
	public static void printQuitMenu() {
		System.out.println("Enter " + ECE567.QUIT + " to quit at any time.");
	}
	public static String getUserInput() {
		String retval = null;
		System.out.print("Enter your choice: ");
		try {
			in.mark(MAX_SIZE_OF_INPUT);
			retval = in.readLine();
		}
		catch (IOException ioe) {
			System.err.println("IOException: " + ioe.toString());
		}
		return retval;
	}
}
